This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 449742 - (CVE-2007-5375) CVE-2007-5375 Java Multi-pin DNS rebinding allows arbitrary Javascript Execution
CVE-2007-5375 Java Multi-pin DNS rebinding allows arbitrary Javascript Execution
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
http://crypto.stanford.edu/dns/dns-re...
reported=20071010,source=cvenew,publi...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-03 06:11 EDT by Marc Schoenefeld
Modified: 2010-12-23 10:34 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-23 10:34:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marc Schoenefeld 2008-06-03 06:11:25 EDT
Interpretation conflict in the Sun Java Virtual Machine (JVM) allows
user-assisted remote attackers to conduct a multi-pin DNS rebinding attack and
execute arbitrary JavaScript in an intranet context, when an intranet web server
has an HTML document that references a "mayscript=true" Java applet through a
local relative URI, which may be associated with different IP addresses by the
browser and the JVM.
Comment 1 Marc Schoenefeld 2010-12-23 04:51:06 EST
This is from http://crypto.stanford.edu/dns/dns-rebinding.pdf, the two other bugs from this paper that were also identified alongside this bug were CVE-2007-5273 and CVE-2007-5274. 

We queried Sun in June 2008 whether this is a duplicate of CVE-2007-5273 or CVE-2007-5274 . But we never received an answer, and Sun never acknowledged this to be an genuine Java bug. 

Given the age, the low impact, and the fact that the bug doesn't affect our shipped java versions (java-1.5.0-sun deprecated), I would opt to close this.

Note You need to log in before you can comment on or make changes to this bug.